## ?q=aHR0cHM6Ly9naXRodWIuY29tL2Vyb2wteS9yYWRlb250b3AtZ3VpL2FyY2hpdmUvcmVmcy90YWdzL3YxLjYuMTEuemlw

=== Makefile ===
# The make-provided flags like MAKE and CC aren't set, on purpose.
# This is Linux-specific software, so we can depend on GNU make.

# Options:
#	amdgpu	enable amdgpu VRAM size and usage reporting, default off
#		because amdgpu requires libdrm >= 2.4.63
#   (*) 30 Sep 2017 For default, amdgpu is on
#
#	deskfile install GNOME .desktop file (default = 0).

PREFIX ?= usr
INSTALL ?= install
LIBDIR ?= lib
DOT_DESKTOP ?= share/applications

CXX = g++
LD = g++

debug ?= 0
amdgpu ?= 1
deskfile ?= 0

bin = radeontop-gui
binstall = radeontop-gui.v1
scrpt = radeontop-gui
gdesktop = radeontop-gui.desktop
src = $(filter-out ,$(wildcard *.cpp))
obj = $(src:.c=.o)
verh = version.h
SOURCEDIR = src

CFLAGS_SECTIONED = -ffunction-sections -fdata-sections
LDFLAGS_SECTIONED = -Wl,-gc-sections

CFLAGS ?= -O2
CFLAGS += -Wall -Wextra -pthread
CFLAGS += -I./include
CFLAGS += $(CFLAGS_SECTIONED)
CFLAGS += $(shell pkg-config --cflags pciaccess)
CFLAGS += $(shell pkg-config --cflags libdrm)

ifeq ($(debug), 1)
  CFLAGS += `wx-config --debug=yes --cflags`
else
  CFLAGS += `wx-config --cflags`
endif

ifeq ($(amdgpu), 1)
	CFLAGS += -DENABLE_AMDGPU=1
endif

ifeq ($(debug), 1)
	OUTDIR = out/bin/Debug
else
	OUTDIR = out/bin/Release
endif

ifeq ($(debug), 1)
	OUTOBJDIR = out/obj/Debug/src
else
	OUTOBJDIR = out/obj/Release/src
endif

OBJ_OUT = $(OUTOBJDIR)/GUIFrame.o $(OUTOBJDIR)/auth.o $(OUTOBJDIR)/cputop.o $(OUTOBJDIR)/cpudialog.o $(OUTOBJDIR)/detect.o $(OUTOBJDIR)/family_str.o $(OUTOBJDIR)/radeontop.o $(OUTOBJDIR)/rdt_guiApp.o $(OUTOBJDIR)/rdt_guiMain.o $(OUTOBJDIR)/ticks.o $(OUTOBJDIR)/conf.o $(OUTOBJDIR)/power.o $(OUTOBJDIR)/powergui.o $(OUTOBJDIR)/querydialog.o

ifndef plain
ifeq ($(debug), 1)
	CFLAGS += -g
else ifndef nostrip
	CFLAGS += -s
endif
endif

LDFLAGS ?= -Wl,-O2
LDFLAGS += $(LDFLAGS_SECTIONED)
LIBS += $(shell pkg-config --libs pciaccess)
LIBS += $(shell pkg-config --libs libdrm)
LDFLAGS += -lcpufreq
LDFLAGS += `wx-config --libs`

.PHONY: all clean install uninstall dist

all: $(verh) $(bin)

$(obj): $(wildcard *.h) $(verh)

$(bin): $(OUTDIR) $(OUTOBJDIR) $(OBJ_OUT)

$(bin): $(obj)
	$(LD) -o $(OUTDIR)/$(bin) $(OBJ_OUT) $(LDFLAGS) $(LIBS)

$(OUTOBJDIR)/GUIFrame.o: $(SOURCEDIR)/GUIFrame.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/GUIFrame.cpp -o $(OUTOBJDIR)/GUIFrame.o

$(OUTOBJDIR)/auth.o: $(SOURCEDIR)/auth.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/auth.cpp -o $(OUTOBJDIR)/auth.o

$(OUTOBJDIR)/cputop.o: $(SOURCEDIR)/cputop.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/cputop.cpp -o $(OUTOBJDIR)/cputop.o

$(OUTOBJDIR)/cpudialog.o: $(SOURCEDIR)/cpudialog.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/cpudialog.cpp -o $(OUTOBJDIR)/cpudialog.o

$(OUTOBJDIR)/detect.o: $(SOURCEDIR)/detect.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/detect.cpp -o $(OUTOBJDIR)/detect.o

$(OUTOBJDIR)/family_str.o: $(SOURCEDIR)/family_str.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/family_str.cpp -o $(OUTOBJDIR)/family_str.o

$(OUTOBJDIR)/radeontop.o: $(SOURCEDIR)/radeontop.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/radeontop.cpp -o $(OUTOBJDIR)/radeontop.o

$(OUTOBJDIR)/rdt_guiApp.o: $(SOURCEDIR)/rdt_guiApp.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/rdt_guiApp.cpp -o $(OUTOBJDIR)/rdt_guiApp.o

$(OUTOBJDIR)/rdt_guiMain.o: $(SOURCEDIR)/rdt_guiMain.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/rdt_guiMain.cpp -o $(OUTOBJDIR)/rdt_guiMain.o

$(OUTOBJDIR)/ticks.o: $(SOURCEDIR)/ticks.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/ticks.cpp -o $(OUTOBJDIR)/ticks.o

$(OUTOBJDIR)/conf.o: $(SOURCEDIR)/conf.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/conf.cpp -o $(OUTOBJDIR)/conf.o

$(OUTOBJDIR)/power.o: $(SOURCEDIR)/power.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/power.cpp -o $(OUTOBJDIR)/power.o

$(OUTOBJDIR)/powergui.o: $(SOURCEDIR)/powergui.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/powergui.cpp -o $(OUTOBJDIR)/powergui.o

$(OUTOBJDIR)/querydialog.o: $(SOURCEDIR)/querydialog.cpp
	$(CXX) $(CFLAGS) -c $(SOURCEDIR)/querydialog.cpp -o $(OUTOBJDIR)/querydialog.o

clean:
	rm -f *.o $(OUTDIR)/$(bin) $(verh)
	- rm -rf out

.git:

$(verh): .git
	./getver.sh

.outbin:

$(OUTDIR): .outbin
	test -d $(OUTDIR) || mkdir -p $(OUTDIR)

$(OUTOBJDIR): .outbin
	test -d $(OUTOBJDIR) || mkdir -p $(OUTOBJDIR)

install: uninstall all
	$(INSTALL) -D -m755 $(OUTDIR)/$(bin) $(DESTDIR)/$(PREFIX)/sbin/$(binstall)
	$(INSTALL) -D -m755 $(scrpt) $(DESTDIR)/$(PREFIX)/sbin/$(scrpt)
ifeq ($(deskfile), 1)
	$(INSTALL) -D -m644 $(CURDIR)/data/$(gdesktop) $(DESTDIR)/$(PREFIX)/$(DOT_DESKTOP)/$(gdesktop)
endif

uninstall:
	- rm -f $(DESTDIR)/$(PREFIX)/sbin/$(binstall)
	- rm -f $(DESTDIR)/$(PREFIX)/sbin/$(scrpt)
	- rm -f $(DESTDIR)/$(PREFIX)/$(DOT_DESKTOP)/$(gdesktop)

dist: ver = $(shell git describe)
dist: name = $(bin)-$(ver)
dist: clean $(verh)

=== debian/changelog ===
radeontop-gui (1.5.5) trusty; urgency=medium

  * New Release.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Thu, 01 Nov 2018 03:05:50 +0300

radeontop-gui (1.5.4.2) trusty; urgency=medium

  * Structural changes on project tree.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 21 Oct 2018 21:31:59 +0300

radeontop-gui (1.5.4) trusty; urgency=medium

  * (NEW) Power Supply window (experimantal). 

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 14 Oct 2018 17:19:26 +0300

radeontop-gui (1.5.1-2) trusty; urgency=medium

  * Added "deskfile" option into Makefile.
  * Makefile now uninstalls installed one before new installation.
  * Debian related files updated.
  * debian/control exports "deskfile=1" to Makefile.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Fri, 14 Sep 2018 06:18:30 +0300

radeontop-gui (1.5.1) trusty; urgency=medium

  * New, menu sub-item under "Settings"; "Save On Exit" & "Reset Config".
  * Main window and cpu window are able to save & load window sizes.
  * Internal changes, bug fixing, improvements etc...

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 09 Sep 2018 18:00:30 +0300

radeontop-gui (1.4.1) trusty; urgency=medium

  * Let Makefile to store object files into "obj/" folder

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Mon, 30 Apr 2018 02:24:30 +0300

radeontop-gui (1.4.0) trusty; urgency=medium

  * Cpu frequency window has been re-designed.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Fri, 20 Apr 2018 04:34:47 +0300

radeontop-gui (1.3.0) trusty; urgency=medium

  * GPU info query ability under amdgpu

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Mon, 09 Apr 2018 04:36:25 +0300

radeontop-gui (1.2.0) trusty; urgency=medium

  * Simple cpu frequency window.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 11 Mar 2018 01:19:00 +0300

radeontop-gui (1.1.0) trusty; urgency=medium

  * GPU info query window

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sun, 8 Oct 2017 00:50:15 +0300

radeontop-gui (1.0.0) trusty; urgency=medium

  * Initial Release.

 -- Erol Yesilyurt <erolyslyrt@gmail.com>  Sat, 30 Sep 2017 21:43:41 +0300

=== debian/control ===
Source: radeontop-gui
Section: utils
Priority: optional
Maintainer: Erol Yesilyurt <erolyslyrt@gmail.com>
Build-Depends: debhelper (>= 9)
 , g++ (>= 4.9)
 , make
 , pkg-config
 , libpciaccess-dev
 , libcpufreq-dev ( >= 001)
 , libdrm-dev (>= 2.4.63)
 , libwxgtk3.0-dev | libwxgtk3.0-gtk3-dev
Standards-Version: 4.1.1
Homepage: https://github.com/erol-y/radeontop-gui
Vcs-Git: git://github.com/erol-y/radeontop-gui.git

Package: radeontop-gui
Architecture: any
Depends: ${shlibs:Depends}
 , ${misc:Depends}
 , libpciaccess0
 , libdrm2
 , libcpufreq0
 , libwxgtk3.0-0v5 | libwxgtk3.0-gtk3-0v5
Description: Utility to show Radeon GPU utilization
 radeontop is a small utility which allows one to monitor the utilization of
 Radeon GPUs starting from the R600 series and newer using undocumented
 performance counters in the hardware. The utility works with the free
 drivers.
 .
 This is Graphical User Interface, that works on radeontop
 .

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export deskfile := 1

%:
	dh $@



# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
